/*
    example2a.c:  Write some application data to a SmartDongle.


    www.smartdongle.com

    MicroWorks, Inc.
    2808 North Cole Road
    Boise, ID 83704
*/

#include <stdio.h>
#include "smartdongle.h"
#include "sd_eeprom.h"
#include "sd_uskerr.h"
#include <conio.h>


/*
    Your application data here.
*/
#define YOUR_DATA1 "1"
#define YOUR_DATA2 "0"

int __cdecl main (int argc, char *argv[]) {
	unsigned char data1 = '1';
	unsigned char data2 = '0';
    unsigned __int64 P1, P2;
    unsigned short address = 0;
	const int size = 30000;
    unsigned char data[30000];
    char errorString[QTS_ERROR_STRING_LENGTH_MAX];
    int error = USK_OK;
	int i;
	for (i = 0; i < size; i++) {
		data[i] = data1;
		data[i+1] = data2;
		i++;
	}

    /*
        SmartDongle Demo Keys
    */
    P1 = 0xec6cc589aefd1e75;
    P2 = 0xfcec0a6a82747b3f;
	//P1 = 0x444479AD8065B6E7;
    //P2 = 0x1DF769C446419277;

    /*
        Turn SmartDongle Red LED on to indicate write in progress.
    */
    SmartDongleLedRed();

    /*
        Write a user string to SmartDongle.
    */
    error = SmartDongleWrite(P1, P2, address, data, size + 1000);
    if (error) {
        SmartDongleGetErrorString(errorString, error);
        printf("%s\n", errorString);
    } else {
        printf("Success: Wrote Key to Dongle\n");
    }
	
    SmartDongleLedGreen();
    printf("\nPress any key to exit\n");
    getch();

    return 0;
}
